client/Center()  // This is the '5' key on the numpad with numlock >>OFF<<!
	mob.Fire(mob, mob.dir)

mob/proc/Fire(var/mob/ch, var/dir)
	var/obj/Weapon/O = new /obj/Weapon/Rocket_Launcher
	O.dir = ch.dir
	O.loc = ch.loc  // These top 3 lines create the projectile and place it where the mob firing is
	while(O)
		step(O, dir)  // Move the projectile forward
		var/turf/Y = get_step(O, O.dir)
		if(!Y)  // If the projectile hits the end of the map...
			del(O)
			break
		var/turf/X = O.loc
		if(X.density && X.type != /turf/Water)   // Make sure that it isn't water
			del(O)
			break
		else if(X.type == /turf/Water)
			X.overlays += icon('Misc.dmi',"ripple")  // This creates an effect of the water rippling when a bullet goes over it
			spawn(15) // Wait 1.5 seconds...
				X.overlays.Cut()  // Destroy the ripple icon
		for(var/obj/Turret/M as obj in X)  // This block of code checks if the projectile hits a turret. If so, damage it
			if(istype(M, /obj/Turret))
				M.hp -= round(O.damage / 2)
				if(O.explode)	Explode(O)
				if(M.hp < 1)
					del(M)
				del(O)
				break
		for(var/mob/M as mob in X)  // If another mob is hit by the projectile...
			if(M == ch)  // Make sure the projectile didn't somehow hit the person who shot it
				continue
			if(O.explode)
				Explode(O)  // If the projectile explodes, call the Explode() proc
			Damage(M, O.damage)
			del(O)
			flick(/turf/Overlays/Pain, M)  // Show the 'pain' overlay ontop of the damaged mob
			spawn(4)
				M.overlays -= /turf/Overlays/Pain
		if(O)	sleep(O.speed)  // Wait before moving the projectile forwards again

mob/proc/Damage(var/mob/ch, var/dam)
	ch.hp -= dam
	ch << "You take [dam] damage!"
	if(ch.hp < 1)
		world << "[ch.name] has been killed!"
		ch.loc = locate(1,1,1)
		ch.hp = 100
		return

mob/proc/Explode(obj/Weapon/O)
	for(var/turf/X as turf in range(O, O.explode))
		X.overlays += image('Weapons.dmi',"boom")
		spawn(10)
			X.overlays.Cut()
		for(var/mob/M as mob in X)
			Damage(M, O.splash)