// War Demo (08/08/02)  - By Malver
//
// I created this demo using some code from one of my earlier games, Bizlof War. My main
// motive for creating this demo is because of recently I've seen an overwhelming number
// of people striving to create their own war-based game.
//
// This may or may not  be exactly what you are looking for, but I hope that it helps
// you with your game on some degree. :)
//
// Here's what kind of code bits I've included in this demo:
//
// - Eight-directional movement (turn, move)
// - A dinky weapon to mess around with
// - A weapon-firing system, complete with damaging/killing other players
//
// Changes as of Version 2
// =-=-=-=-=-=-=-=-=-=-=-=-=
// - Now projectiles delete when they hit the edge of the screen
//
// Changes as of Version 3
// =-=-=-=-=-=-=-=-=-=-=-=-=
// - Automated turrets that fire at mobs
// - Projectiles that explode upon impact on a mob or wall
//
// Changes as of Version 4
// =-=-=-=-=-=-=-=-=-=-=-=-=
// - Added a few comments, explaining the code a bit more thoroughly
// - Also, use the '5' key on the numpad with numlock off to fire your weapon :)
//
// If you'd like to see anything else included with this, or want to report some nasty
// bugs, then drop me a line at 'lume032@hotmail.com', or contact me on AIM (Lume032)
//
// Enjoy! :)


turf/Overlays/Pain   // Overlays the player when they are hit
	icon = 'Pain.dmi'
	layer = 10

mob
	var/hp = 100
	icon = 'Person.dmi'  // Our character icon
	density = 1

obj/Weapon  // Our weapon projectiles
	var
		speed   // How fast it goes
		damage  // How much damage it deals
		explode // Set to -1 if no explosion, or the explosion radius
		splash  // How much splash damage (if it explodes)
	Normal_Gun
		name = "Normal Gun"
		icon = 'Weapons.dmi'
		icon_state = "normal_gun"
		speed = 3
		damage = 10
	MG_Gun
		name = "MachineGun Turret"
		icon = 'Weapons.dmi'
		icon_state = "mg_gun"
		speed = 2
		damage = 7

	Rocket_Launcher
		name = "Rocket Launcher"
		icon = 'Weapons.dmi'
		icon_state = "rocket"
		speed = 4
		damage = 20
		explode = 2
		splash = 10